Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer
Class MorphemeChart.Morpheme

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer.MorphemeChart.Morpheme

Enclosing class:
  MorphemeChart

    public class MorphemeChart.Morpheme

extends java.lang.Object

A morpheme node in the lattice style chart.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`int[]` | `connection` the list of the morphemes connected
`int` | `connectionCount` the number of morphemes connected
`int` | `nextPosition` the index of the next node
`int` | `nextTagType` the type of the next morpheme
`int` | `phoneme` phoneme
`int` | `state` the state of current processing
`java.lang.String` | `str` plain string
`int` | `tag` morpheme tag

Constructor Summary
`MorphemeChart.Morpheme()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public int tag

  morpheme tag

### phoneme

    public int phoneme

  phoneme

### nextPosition

    public int nextPosition

  the index of the next node

### nextTagType

    public int nextTagType

  the type of the next morpheme

### state

    public int state

  the state of current processing

### connectionCount

    public int connectionCount

  the number of morphemes connected

### connection

    public int[] connection

  the list of the morphemes connected

### str

    public java.lang.String str

  plain string

Constructor Detail

### MorphemeChart.Morpheme

    public MorphemeChart.Morpheme()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD